[arch-commits] Commit in python-zeep/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Mar 8 18:28:29 UTC 2019


    Date: Friday, March 8, 2019 @ 18:28:28
  Author: felixonmars
Revision: 438131

archrelease: copy trunk to community-any

Added:
  python-zeep/repos/community-any/PKGBUILD
    (from rev 438130, python-zeep/trunk/PKGBUILD)
Deleted:
  python-zeep/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   76 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 39 insertions(+), 37 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-08 18:27:58 UTC (rev 438130)
+++ PKGBUILD	2019-03-08 18:28:28 UTC (rev 438131)
@@ -1,37 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=python-zeep
-pkgver=3.2.0
-pkgrel=1
-pkgdesc="A fast and modern Python SOAP client"
-arch=('any')
-license=('MIT')
-url="http://docs.python-zeep.org"
-depends=('python-appdirs' 'python-attrs' 'python-cached-property' 'python-defusedxml'
-         'python-isodate' 'python-lxml' 'python-requests' 'python-requests-toolbelt' 'python-six'
-         'python-pytz')
-checkdepends=('python-pytest-runner' 'python-freezegun' 'python-mock' 'python-pretend'
-              'python-pytest-cov' 'python-requests-mock' 'python-pytest-tornado'
-              'python-aioresponses' 'python-xmlsec')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/mvantellingen/python-zeep/archive/$pkgver.tar.gz")
-sha512sums=('d608e66d62120edab72c1d8bc70e8de8d22646255dbf838ae94b2e790b542c547479607d29832125e6ce7455f8a165e4815587c06f3ba57d0ca3a45c312eae64')
-
-prepare() {
-  sed -i -e 's/==/>=/' -e '/flake8/d' -e '/isort/d' python-zeep-$pkgver/setup.py
-}
-
-build() {
-  cd python-zeep-$pkgver
-  python setup.py build
-} 
-
-check() {
-  cd python-zeep-$pkgver
-  python setup.py pytest || warning "https://github.com/mvantellingen/python-zeep/issues/724"
-}
-
-package() {
-  cd python-zeep-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-zeep/repos/community-any/PKGBUILD (from rev 438130, python-zeep/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-08 18:28:28 UTC (rev 438131)
@@ -0,0 +1,39 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-zeep
+pkgver=3.3.0
+pkgrel=1
+pkgdesc="A fast and modern Python SOAP client"
+arch=('any')
+license=('MIT')
+url="http://docs.python-zeep.org"
+depends=('python-appdirs' 'python-attrs' 'python-cached-property' 'python-defusedxml'
+         'python-isodate' 'python-lxml' 'python-requests' 'python-requests-toolbelt' 'python-six'
+         'python-pytz')
+checkdepends=('python-pytest-runner' 'python-freezegun' 'python-mock' 'python-pretend'
+              'python-pytest-cov' 'python-requests-mock' 'python-pytest-tornado'
+              'python-aioresponses' 'python-xmlsec')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/mvantellingen/python-zeep/archive/$pkgver.tar.gz")
+sha512sums=('3e328115e6d4912f04d867140c73ffade6fb4849cb05f057b9226814c03df2042288954096cb6308ede43f5a8141cb9de2e03a018f903b0a3df150f74911f3f7')
+
+prepare() {
+  sed -i -e 's/==/>=/' -e '/flake8/d' -e '/isort/d' python-zeep-$pkgver/setup.py
+
+  sed -i 's/get_marker/get_closest_marker/' python-zeep-$pkgver/tests/conftest.py
+}
+
+build() {
+  cd python-zeep-$pkgver
+  python setup.py build
+} 
+
+check() {
+  cd python-zeep-$pkgver
+  python setup.py pytest || warning "https://github.com/mvantellingen/python-zeep/issues/724"
+}
+
+package() {
+  cd python-zeep-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}


More information about the arch-commits mailing list